curl --request POST \
--url https://api.kelviq.com/api/v1/subscriptions/create/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"planIdentifier": "plan-pro-monthly",
"chargePeriod": "MONTHLY",
"customerId": "cust_789",
"successUrl": "https://kelviq.com/subscription/success",
"features": [
{
"identifier": "seats",
"quantity": 5
}
],
"ipAddress": "103.154.35.20"
}
'{
"id": "520ca8a5-9fc0-4d6a-bc7a-2ba331595441",
"startDate": "2026-02-07",
"endDate": null,
"billingPeriodStartTime": "2026-02-07T06:02:05Z",
"billingPeriodEndTime": "2026-02-08T06:02:05Z",
"amount": "2000.00",
"recurrence": "month",
"currency": "USD",
"status": "trialing",
"product": {
"name": "Invoice Test",
"id": "88e437b8-6017-405b-9328-e0f4e140bb79",
"identifier": "invoice-test"
},
"plan": {
"name": "iUltra",
"identifier": "i-ultra"
},
"features": [],
"trialDaysRemaining": 1,
"customerId": "geojacob"
}Creates a new subscription for a customer directly, without requiring a checkout session.
curl --request POST \
--url https://api.kelviq.com/api/v1/subscriptions/create/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"planIdentifier": "plan-pro-monthly",
"chargePeriod": "MONTHLY",
"customerId": "cust_789",
"successUrl": "https://kelviq.com/subscription/success",
"features": [
{
"identifier": "seats",
"quantity": 5
}
],
"ipAddress": "103.154.35.20"
}
'{
"id": "520ca8a5-9fc0-4d6a-bc7a-2ba331595441",
"startDate": "2026-02-07",
"endDate": null,
"billingPeriodStartTime": "2026-02-07T06:02:05Z",
"billingPeriodEndTime": "2026-02-08T06:02:05Z",
"amount": "2000.00",
"recurrence": "month",
"currency": "USD",
"status": "trialing",
"product": {
"name": "Invoice Test",
"id": "88e437b8-6017-405b-9328-e0f4e140bb79",
"identifier": "invoice-test"
},
"plan": {
"name": "iUltra",
"identifier": "i-ultra"
},
"features": [],
"trialDaysRemaining": 1,
"customerId": "geojacob"
}The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'
The identifier of the specific plan the customer is subscribing to.
"plan-pro-monthly"
The billing cycle for the subscription.
ONE_TIME, MONTHLY, YEARLY, WEEKLY, DAILY, THREE_MONTHS, SIX_MONTHS "MONTHLY"
The ID of the customer creating the subscription.
"cust_789"
The URL to which the user will be redirected after a successful subscription creation. Optional.
"https://kelviq.com/subscription/success"
A list of features and their desired quantities.
Show child attributes
[{ "identifier": "seats", "quantity": 5 }]The IP Address of the customer, used for location-based pricing.
"103.154.35.20"
Subscription Created
The unique identifier of the created subscription.
"520ca8a5-9fc0-4d6a-bc7a-2ba331595441"
The start date of the subscription.
"2026-02-07"
The end date of the subscription, if applicable.
null
The start time of the current billing period.
"2026-02-07T06:02:05Z"
The end time of the current billing period.
"2026-02-08T06:02:05Z"
The subscription amount.
"2000.00"
The recurrence interval of the subscription.
"month"
The currency of the subscription.
"USD"
The current status of the subscription.
"trialing"
Show child attributes
Show child attributes
List of features included in the subscription.
Number of trial days remaining.
1
The customer identifier associated with this subscription.
"geojacob"